
Application: gvSIG desktop - gvSIG bugs #4627
gvSIG Union: Can't execute postProcess on output layer
08/18/2017 11:52 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Geoprocess
Target version: 2.4.0-2836 (rev. org.gvsig.desktop-2.0.203)
Severity: Major Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2833 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

The output layer of the gvSIG Union is equal to the symmetrical difference (union - intersection):

INFO 3068634 pool-10-thread-1 es.unex.sextante.core.SextanteLogHandler - Executing command: autoextent("true")
Executing command: runalg("gvSIG-union", "layer1", "layer2", "false", "false", "#", "#")
Starting algorithm execution...:18-ago-2017 11.46.54
Finished algorithm execution:18-ago-2017 11.46.55
Execution time (millisecs):484

WARN 3068634 pool-10-thread-1 org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer - Can't execute
postProcess on 'Unione poligoni'.
java.lang.NullPointerException
    at org.gvsig.fmap.dal.impl.DefaultDataManager.openStore(DefaultDataManager.java:387)
    at org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer.postProcess(FlyrVectIVectorLayer.java:498)
    at es.unex.sextante.core.GeoAlgorithm.postProcessOutputDataObjects(GeoAlgorithm.java:291)
    at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:241)
    at org.gvsig.geoprocess.lib.sextante.AbstractSextanteGeoProcess.execute(AbstractSextanteGeoProcess.java:84)
    at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:175)
    at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)
    at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)

Related to #4626.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4626: gvSIG Intersection... Closed 08/18/2017

Associated revisions
Revision 988 - 08/25/2017 10:45 AM - Joaquín  del Cerro Murciano

refs #4627, #4626. corregido el que se estubiese destruyendo un store cuando aun se iban ha hacer operaciones con el.
Revision 994 - 08/29/2017 08:40 PM - Francisco Díaz Carsí

refs #4626 #4627 Fixed union and intersection gvSIG geoprocesses

History
#1 - 08/25/2017 10:47 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4626: gvSIG Intersection: Can't execute postProcess on output layers added

#2 - 08/25/2017 10:47 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2834 (rev. org.gvsig.desktop-2.0.201)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#3 - 08/29/2017 09:56 AM - Álvaro Anguix
- Target version changed from 2.4.0-2834 (rev. org.gvsig.desktop-2.0.201) to 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206)
- Status changed from Fixed to New

El resultado sigue siendo el de diferencia

#4 - 08/29/2017 08:41 PM - Francisco Díaz Carsí
- Target version changed from 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206) to 2.4.0-2835 (rev. org.gvsig.desktop-2.0.202)
- Assignee changed from Joaquín  del Cerro Murciano to Francisco Díaz Carsí
- Status changed from New to Fixed

#5 - 09/06/2017 01:31 PM - Antonio Falciano
- Target version changed from 2.4.0-2835 (rev. org.gvsig.desktop-2.0.202) to 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220)
- Status changed from Fixed to New

The result is wrong yet in build 2835.

#6 - 09/06/2017 05:05 PM - Antonio Falciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206)
- Status changed from New to Fixed

Antonio Falciano wrote:

The result is wrong yet in build 2835.

...because the org.gvsig.geoprocess.app.mainplugin and org.gvsig.geoprocess.app.algorithm were not updated in build 2835.

#7 - 09/07/2017 10:27 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206) to 2.4.0-2836 (rev. org.gvsig.desktop-2.0.203)

#8 - 09/11/2017 10:16 AM - Antonio Falciano
- Status changed from Fixed to Closed
